SWAPON(8)

NAZWA
swapon, swapoff - włącz/wyłącz urządzenia i pliki swapu

SKŁADNIA
/sbin/swapon [-h -V]
/sbin/swapon -a [-v]
/sbin/swapon [-v] [-p priority] specialfile ...
/sbin/swapoff [-h -V]
/sbin/swapoff -a
/sbin/swapoff specialfile ...

OPIS
Swapon jest używany do określania urządzeń na których ma miejsce swapowanie i stronicowanie. Odwołanie do swapon normalnie powinno pojawiać się w systemowym pliku inicjalizacyjnym /etc/rc, udostępniając wszystkie urządzenia swapu. Normalnie używana jest pierwsza postać:

-h  Udostępnij pomoc.

-V  Wyświetl wersję.

-a  Udostępnij wszystkie urządzenia zaznaczone w /etc/fstab jako ``sw''.

-p priority
    Ustaw priorytet dla swapon. Opcja ta jest dostępna tylko jeśli swapon został skompilowany pod jądrem 1.3.2 lub nowszym. priority jest wartością z przedziału 0 do 32767. Zobacz swapon(2) dla kompletnego opisu priorytetów swapowych. Do /etc/fstab możesz dodać pole pri=value dla użytku z swapon -a.

Swapoff wyłącza swapowanie na wybranych urządzeniach i plikach, lub na wszystkich wpisach swapu z /etc/fstab o ile zostanie mu przekazana flaga -a.

ZOBACZ TAKŻE
swapon(2), swapoff(2), fstab(5), init(8), mkswap(8), rc(8), mount(8)

PLIKI
/dev/hd?? standardowe urządzenia stronicujące
/dev/sd?? standardowe urządzenia stronicujące (SCSI)
/etc/fstab tablica opisu systemów plików (ascii)

HISTORIA
Komenda swapon pojawiła się w 4.0BSD.

AUTORZY
Zobacz stronę mount(8) dla listy autorów. Najwięcej pracy włożyli Doug Quale, H. J. Lu, Rick Sladkey, i Stephen Tweedie.